{{/* Based on https://github.com/gohugoio/gohugoioTheme/blob/master/layouts/partials/opengraph/opengraph.html */}}

<meta property="og:title" content="{{ .Title }}">

{{- $description := .Description }}
{{- if and (not $description) .IsPage }}
{{- $description = .Summary }}
{{- end }}
{{- if not $description }}
{{- $description = .Site.Params.description }}
{{- end }}
<meta property="og:description" content="{{ $description }}">
<meta property="og:type" content="{{ if .IsPage }}article{{ else }}website{{ end }}">
<meta property="og:url" content="{{ .Permalink }}">

{{- $image := resources.Get .Params.thumbnail }}
{{- if not $image }}
{{- $image = index (.Resources.ByType "image") 0 }}
{{- end }}
{{- if $image }}
{{- $image = $image.Process "fit 1200x630 jpeg q85" }}
{{- else }}
{{- $image = resources.Get "img/opengraph-image.png" }}
{{- end }}
{{- with $image }}
<meta property="og:image" content="{{ .Permalink }}">
{{- end }}

{{- if .IsPage }}
{{- $iso8601 := "2006-01-02T15:04:05-07:00" -}}
<meta property="article:section" content="{{ .Section }}">
{{ with .PublishDate }}<meta property="article:published_time" {{ .Format $iso8601 | printf "content=%q" | safeHTMLAttr }}>{{ end }}
{{ with .Lastmod }}<meta property="article:modified_time" {{ .Format $iso8601 | printf "content=%q" | safeHTMLAttr }}>{{ end }}
{{- end -}}

{{- with .Params.audio }}<meta property="og:audio" content="{{ . }}">{{ end }}
{{- with .Params.locale }}<meta property="og:locale" content="{{ . }}">{{ end }}
{{- with .Site.Params.title }}<meta property="og:site_name" content="{{ . }}">{{ end }}
{{- with .Params.videos }}{{- range . }}
<meta property="og:video" content="{{ . | absURL }}">
{{ end }}{{ end }}


<meta name="twitter:card" content="summary_large_image">
{{- with .Site.Params.twitterSite }}
<meta name="twitter:site" content="{{ . }}">
{{- end }}
{{- with .Site.Params.twitterCreator }}
<meta name="twitter:creator" content="{{ . }}">
{{- end }}
<meta name="twitter:title" content="{{ .Title }}">
<meta name="twitter:description" content="{{ $description }}">
{{- with $image }}
<meta name="twitter:image" content="{{ .Permalink }}">
<meta name="twitter:image:alt" content="{{ $.Title }}">
{{- end }}
